## gtk-update-icon-cache

gtk-update-icon-cache — Icon theme caching utility

## Synopsis

`gtk-update-icon-cache` [--force] [--index-only] [--ignore-theme-index] [--quiet] {iconpath}

## Description

gtk-update-icon-cache creates mmap()able cache files for icon themes.

If expects to be given the path to a icon theme directory containing an `index.theme`, e.g. `/usr/share/icons/hicolor`, and writes a `icon-theme.cache` containing cached information about the icons in the directory tree below the given directory.

GTK+ can use the cache files created by gtk-update-icon-cache to avoid a lot of system call and disk seek overhead when the application starts. Since the format of the cache files allows them to be mmap()ed shared between multiple applications, the overall memory consumption is reduced as well.

## Options

--force, -f | Overwrite an existing cache file even if it appears to be uptodate.
--ignore-theme-index, -t | Don't check for the existence of 'index.theme' in the icon theme directory. Without this option, gtk-update-icon-cache refuses to create an icon cache in a directory which does not appear to be the toplevel directory of an icon theme.
--index-only, -i | Don't include image data in the cache.
--quiet, -q | Turn off verbose output.

## Bugs

None known yet.